/accounting/v1.0/transactions

Search and retrieve posted transactions for a property. This endpoint uses POST (instead of GET) to support complex filter criteria in the request body. You can combine multiple filters with AND/OR logic, paginate results, and sort by various fields.

Supported fields for filtering:

  • account_category
  • chart_of_account_type
  • created_at - Same as transaction_datetime
  • customer_id
  • custom_code
  • external_relation_id
  • external_relation_kind
  • folio_id
  • id
  • internal_code
  • origin_id
  • parent_id
  • routed_from
  • source_id
  • source_identifier
  • source_kind
  • transaction_datetime
  • trial_balance_id
  • service_date

Supported fields for sorting:

  • created_at - Same as transaction_datetime
  • id
  • internal_code
  • source_id
  • transaction_datetime
  • service_date

Example request:

  {
    "filters": {
      "and": [
        {
          "operator": "greater_than_or_equal",
          "value": "2019-01-11t08:59:00Z",
          "field": "transaction_datetime"
        },
        {
          "operator": "equals",
          "value": "123",
          "field": "source_id"
        },
        {
          "operator": "equals",
          "value": "RESERVATION",
          "field": "source_kind"
        },
        {
          "or": [
            {
              "operator": "in",
              "value": ["1", "2", "3"],
              "field": "customer_id"
            },
            {
              "operator": "equals",
              "value": "9000",
              "field": "internal_code"
            }
          ]
        }
      ]
    },
    "pageToken": null,
    "limit": 10,
    "sort": [
      {
        "field": "transaction_datetime",
        "direction": "asc"
      }
    ]
  }

The API has certain constraints for filters so that the system is able to efficiently query the data. Filters must include on of the following:
  - filter by 'id' with condition 'equals' or 'in'
  - filter by both 'source_id' and 'source_kind'
  - filter by both 'external_relation_id' and 'external_relation_kind'
  - filter by transaction_datetime
Body Params
filters
required
string
int32
Defaults to 100

Optional parameter. Default value is 100, maximum value is 1100.

sort
array of objects
sort
Headers
int64
required

Unique identifier of the property. Required for all requests to scope data to a specific property.

Responses

Language
Credentials
OAuth2
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json